Bug 1786873 - size of error dialog makes it difficult to dismiss
Summary: size of error dialog makes it difficult to dismiss
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-28 22:29 UTC by Chris Murphy
Modified: 2020-10-03 00:56 UTC (History)
3 users (show)

Fixed In Version: virt-manager-3.1.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-03 00:56:19 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (1.67 MB, image/png)
2019-12-28 22:29 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2019-12-28 22:29:05 UTC
Created attachment 1648269 [details]
screenshot

Description of problem:

Error dialog is difficult to dismiss.


Version-Release number of selected component (if applicable):
virt-manager-2.2.1-2.fc31.noarch


How reproducible:
Always (at least with a problem that results in a sufficiently tall error dialog)

Steps to Reproduce:
1. Bit obscure but on Rawhide right now nftables isn't working so VM NAT is inactive, when starting the VM, virt-manager asks if it should be enabled, say yes, and you get a really tall error dialog.
2.
3.

Actual results:

Error dialog dismiss/OK button is below the bottom of the display.

Expected results:

Should be properly sized so it can be read and dismissed without workarounds.

Additional info:

Comment 1 Cole Robinson 2020-01-14 17:41:17 UTC
Thanks for the report, I pushed a fix upstream to cap the text size we show in the main window

https://github.com/virt-manager/virt-manager/commit/a9cbc4e583b6f5eb8269114ced08d97c875876b3

Comment 2 Ben Cotton 2020-02-11 17:35:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Fedora Update System 2020-09-15 21:52:05 UTC
FEDORA-2020-656e86b662 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-656e86b662

Comment 4 Fedora Update System 2020-09-15 21:52:11 UTC
FEDORA-2020-656e86b662 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-656e86b662

Comment 5 Fedora Update System 2020-09-16 18:57:34 UTC
FEDORA-2020-656e86b662 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-656e86b662`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-656e86b662

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-01 01:20:37 UTC
FEDORA-2020-c30055ffe4 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c30055ffe4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c30055ffe4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-03 00:56:19 UTC
FEDORA-2020-c30055ffe4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.